# -*- coding: utf-8 -*-

from . import ModuleBase
import re, subprocess

class Module(ModuleBase):
    def __init__(self, manager):
        ModuleBase.__init__(self, manager)
        
        self.fortune = manager.config['fortune']

        
    def commands(self):
        return [('!fortune', 'Zeigt ein zufälliges Fortune Cookie an')]
    
    def groupchat(self, room, nick, text, handler):
        if not re.match(r'!fortune(?:\W|\Z)', text):
            return
        
        handler.reply(subprocess.Popen(self.fortune, stdout=subprocess.PIPE).communicate()[0].strip())
